# specfile inspired from Fedora
Summary:	A rendering library based on JoGL
Name:		scirenderer
Version:	1.0.3
Release:	%mkrel 2
License:	CeCILL
Group:		Sciences/Mathematics
URL:		http://forge.scilab.org/index.php/p/scirenderer/
Source0:	http://forge.scilab.org/index.php/p/%{name}/downloads/get/%{name}-%{version}.tar.gz
BuildRequires:	ant
BuildRequires:	jogl2
Requires:	java
Requires:	jpackage-utils
Requires:	jogl2
BuildArch:  noarch

%description
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex scenes.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
ant jar doc

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
cp -pr jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc CHANGES

%files javadoc
%{_javadocdir}/%{name}
%doc README
%doc COPYING
%doc CHANGES


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 381876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.0.3-1.mga3
+ Revision: 344160
- imported package scirenderer

